PlayIt Recorder

User guide
Version 2.02
https://www.playitsoftware.com/Support


Installation

To install PlayIt Recorder, download the latest version from http://www.playitsoftware.com/Products/Recorder.
Once the download is complete, run the downloaded .exe file.
You will first be presented with the software licence agreement. Once you have read and agree to these terms, click I Agree.
Choose the components to install. Here you can select whether to install Start Menu and Desktop shortcuts. Click Next to continue.
Next, choose the location to install the software. By default, this is in Program Files, but can be changed to your preference. Click Install to begin installation.
Tick Start PlayIt Recorder and click Finish to launch PlayIt Recorder. By default you can access PlayIt Recorder from the Start Menu or Desktop.
Minimum requirements
PlayIt Recorder requires the .NET Framework 4.7.1 which is automatically downloaded and installed via the installer. To install this framework requires at least Windows 7 SP1, Windows 8.1 or Windows 10 Anniversary Update.

The contents of Installation

Upgrading versions
Uninstallation


Upgrading versions

New versions of PlayIt Recorder are regularly available from http://www.playitsoftware.com . It is important to back up your data before you install any new versions. Data and logs for PlayIt Recorder are stored in the Windows 'ProgramData' folder.
By default, this is located at:
C:\ProgramData\PlayIt Recorder
To back up your data, simply copy this folder to an alternative location, such as an external hard drive.
When a new version is installed, or an old version is uninstalled, the data in the location above will not be removed.


Uninstallation

When installed, PlayIt Recorder will include an Uninstall shortcut in the Start Menu.
If you chose not to add Start Menu shortcuts the Uninstaller can be found at (by default):
C:\Program Files (x86)\PlayIt Recorder\uninstall.exe or
C:\Program Files\PlayIt Recorder\uninstall.exe
Double click the icon to start the uninstall process. Click Uninstall to remove PlayIt Recorder.
Note that you can choose whether PlayIt Recorder data is removed when you uninstall.


Getting Started

In order to begin using PlayIt Recorder, you need to log into your PlayIt Software account. Click the Log In button to begin logging in. If you do not have an account, you can create one by clicking Register or visiting https://www.playitsoftware.com/Account/Register .
If the computer you are using is not connected to the internet, you can activate offline.

The contents of Getting Started

Logging In
Activating Offline


Logging In

To begin using PlayIt Recorder, enter your PlayIt Software account email address and password, or you can log in using your Facebook account.
From the Get Started window, click Log In...
Once you are logged in, the main window will be shown.

The contents of Logging In

Enter registration details
Verify email address


×

  • Getting Started
  • Logging In
  • Enter registration details
  • Previous page
  • Next page

Enter registration details

Enter your details and click Register.


Verify email address

Check your registered email account and follow the link in an email with the subject "PlayIt Software: Please verify your email address...". To ensure you receive this email, please add noreply@playitsoftware.com to your address book. Once you have followed the link you will be logged in.


Activating Offline

If the computer on which you have installed PlayIt Recorder is not connected to the internet is it possible to activate offline.
From the Activation window, click Activate Offline...
From the Activate Offline window, you can enter your Licence Key. This is generated from the Licences page in the My Account area of the PlayIt Software website. A licence can be generated by visiting: http://www.playitsoftware.com/Account/Licences/Generate. You may be prompted to log in or create an account.
From the Generate New Licence section, select PlayIt Recorder and ensure that v2.01+ is selected as the version. Enter the Computer Name and Machine Code you see on PlayIt Recorder and click Generate Licence Key.
Once generated you will be presented with a licence. Make a note of the Licence Key and copy this to the PlayIt Recorder window. Alternatively, download the licence file and select the file within PlayIt Recorder. Note that licence keys start with the text 3*.


Quick Start

PlayIt Recorder is used to create scheduled recordings of the audio from your selected sound card device.
When you first launch PlayIt Recorder, the message 'Click here to set up PlayIt Recorder' will appear in the notification bar. Click this to open the Settings window.
After initial setup, you can open the settings window by going to File > Settings... from the main window.
From the Settings window, select the device you wish to record, the recording location, the format of the recording filename and the format of the recording. If you choose not to convert the recording audio it will be recorded in WAV format.
You can also choose to delete recordings after a number of days, or when the space on disk drops below a certain percentage. You can also add a chosen number of minutes to each recording to ensure there is an overlay on each recording.
Click OK to save your settings. For more information about each of the settings, see the Settings window section.
Each recording must be associated with a Programme. To create a programme, from the main window go to Programming > Programmes...
Click the Add New button and enter a name for your first programme:
To confirm your changes, click the OK button on the Programmes window:
Next you need to schedule a programme to record. Go to Programming > Schedule...
Choose the slot you want to schedule by clicking in the grid, or click the Add New Button:
Then choose the programme you want to schedule:
Review the schedule item settings.
If you want to repeat the recording you can use the Repeat checkbox. For example, if you simply want to record every hour of every day you can choose Repeats Daily, every 1 day, at All hours:
Click OK to save the schedule item.
The grid shows the new schedule item:
Click OK to save the schedule.
You will be prompted to start the scheduler if you have not already done so:
Go to Recordings > Start Scheduler... to start the scheduler:
During the scheduled item time the recorder will record the device you set in settings.
To stop the recording early press Stop...

Quick Recording

If you need to record a one-off recording outside a schedule, you can use the Quick Record controls:
Click the record button to launch the Start Quick Recording window:
The name will be given a default, so press Enter to start the recording, but you can change the name to something more informative if you need to. You can also stop the recording after a period of time. Click OK or press Enter to start the recording.


Main Window

The main window is the main control of PlayIt Recorder. It shows the active recordings, completed recordings and allows the ability to start Quick Recordings.

Menu

File:
Settings...: Configure PlayIt Recorder
Exit...: Exit PlayIt Recorder. Any scheduled recordings will stop and future recordings will not start.
Recordings:
Start Scheduler...: Starts up the scheduler and any scheduled recordings will start.
Stop Scheduler...: Stops the scheduler and any scheduled recordings will stop.
Explore Recordings...: Explore to the recordings folder to access any completed recordings.
Programming:
Programmes...: Manage programmes. Programmes indicate the name of the recording.
Schedule...: Manage the schedule, this defines when programmes will be recorded.
Top

Notification bar

2. Notification bar
Displays important notices for example if a recording failed to start.
Top

Recording device

3. Recording device
The currently selected recording device. Click the link to open Settings to change the device.
Top

Programme information

4. Programme information
Displays information about the currently selected active recording, with the name as a heading and the elapsed and remaining time below.
Top

Stop button

5. Stop button
Stops the currently selected active recording early.
Top

Active recording selector

6. Active recording selector
Use the arrows to select between currently active recordings. If there are multiple programmes scheduled at the same time, or you have entered the bleed time setting then multiple active recordings can occur.
Top

Completed recordings list

7. Completed recordings list
Displays all completed recordings. Use the [image] button to delete a recording. This will also delete the underlying audio file.
Top

Disk space status

8. Disk space status
Displays the remaining disk space percentage and amount for the drive of the recording folder location.
Top

Quick Record controls

9. Quick Record controls
Click the record button to start a quick recording. This will show the Start Quick Recording window allowing you to enter a name for the recording. A default name will be shown so you can just press Enter or click OK to start the recording. You can enter a different name if you need to. You can also select the Stop the recording after check box to select a time after which the recording will stop.
When the recording is active, the controls will look like this:
Press the pause button to temporarily halt the recording. Press the stop button to end the recording.
Top

Recording levels

10. Recording levels
The recording levels show the volume of the recording. This is used to monitor the recording to ensure the audio is not too loud or quiet. Recordings should aim for the green area.
Top


Settings Window

Recording device

1. Recording device
Select the audio device you wish to record.
Top

Recording location

2. Recording location
Enter the folder you wish to place recording audio files. Use the Browse... to find the folder. You should ensure that the currently logged in user has access to write to this location.
Top

Filename format

3. Filename format
Enter the format for the filename. This is the template that will be used to generate the filename for the recording. Use the Edit... button to show a helper window to help you build the filename format. Hover over each of the dynamic value buttons, e.g. {year}, to find out what will be displayed. An example is displayed below the text box to show what will be generated.
It is possible to add a slash \ to put recordings in folders. For example, {year}{month}{day}\{hour}{min}{sec}_{name} would place recordings in a new folder for each day.
Top

Convert audio

4. Convert audio
By default audio will be recorded in WAV format.
Recording audio can be converted to another format. In its simplest configuration, you can configure MP3 in various qualities, higher qualities sound better but take up more disk space. Click the Advanced > button if you wish to use your own encoder and parameters.
Top

Delete recordings

5. Delete recordings
You can configure recordings to be deleted after a set number of days, or when the disk space drops below a given percentage.
Top

Bleed time

6. Bleed time
You can add a specified number of minutes to the start and end of schedule recordings to ensure there is no breakup between old recordings stopping and new recordings starting.
Top

Startup

Tick this box to automatically start PlayIt Recorder when you log into Windows.
Top

OK button

8. OK button
Click the OK button to save your settings.
Top

Cancel button

9. Cancel button
Click the Cancel button to discard your changes.
Top


Programmes Window

Programmes indicate the name and description of a recording. The name can be used to generate the filename of the recording.

Programme list

1. Programme list
The list of all programmes added to PlayIt Recorder.
Top

Add New button

2. Add New button
Click the Add New button to add a new programme. This will display the Add/Edit Programme Window.
Top

Edit button

3. Edit button
Click the Edit button to edit the selected programme.
Top

OK button

4. OK button
Click the OK button to save all changes made to the programmes list.
Top

Cancel button

5. Cancel button
Click the Cancel button to discard all changes made to the programmes list.
Top

Apply button

6. Apply button
Click the Apply button to save all changes made to the programmes list but keep the window open.
Top

The contents of Programmes Window

Add/Edit Programme Window


Add/Edit Programme Window

Add/Edit Programme Window

Programme name

1. Programme name
The name of the programme. This can be used to generate the filename for the recording.
Top

Description

A description of the programme. This is solely used for your own records.
Top

OK button

3. OK button
Click the OK button to save changes to the programme.
Top

Cancel button

4. Cancel button
Click the Cancel button to discard changes to the programme.
Top


Schedule Window

The schedule window allows you to set up when programmes will be recorded.

Move weeks buttons

1. Move weeks buttons
Use these buttons to move between weeks in the past and future.
Top

Day heading

2. Day heading
Shows each day of the week. The current day is indicated in red.
Top

Hour heading

3. Hour heading
Shows each hour of the day. The current hour is indicated in red.
Top

Scheduled programme

4. Scheduled programme
Indicates a scheduled programme in the schedule. Double-click the scheduled programme box to edit it. The Edit Schedule Item window will be shown. To delete a schedule item, right-click and select Delete.
For recurring schedule items the Edit Recurring Item window will be shown enabling you to select whether to edit only this occurrence, this and future occurrences or all occurrences.
Top

Empty slot

5. Empty slot
This shows an empty hour slot in the schedule. Click the slot to add a schedule item. You can drag to create a schedule item longer than one hour. The Select Recording window will be shown, followed by the Edit Schedule Item window . It is possible to schedule recordings of any duration via the Edit Schedule Item window, they are not restricted to hours.
Top

Scroll bar

6. Scroll bar
Use the scroll bar to move up and down to hours throughout the day.
Top

Add New button

7. Add New button
Click the Add New button to create a new hour-long schedule item at the current time. The Select Recording window will be shown, followed by the Edit Schedule Item window .
Top

OK button

8. OK button
Click the OK button to save any changes made to the schedule.
Top

Cancel button

9. Cancel button
Click the Cancel button to discard any changes made to the schedule.
Top

The contents of Schedule Window

Edit Schedule Item Window
Select Programme Window


Edit Schedule Item Window

Edit Schedule Item Window
The Edit Schedule Item window is shown when editing a schedule item via the schedule grid, or adding a new schedule item via the Add New button from the Schedule window.

Scheduled Item

1. Scheduled Item
The scheduled programme to be recorded. Click the link to select a different programme. The Select Programme Window will be shown.
Top

Start time

2. Start time
The start time of the recording schedule item.
Top

Finish time

3. Finish time
The finish time of the recording schedule item.
Top

Repeat check box

4. Repeat check box
Whether this schedule item should be repeated.
Top

Repeat period

5. Repeat period
How regularly this schedule item should repeat. You can select between Daily, Weekly, Monthly or Yearly.
Top

Repeat every

6. Repeat every
How frequently this schedule item should repeat. You can select between every 1-14 days/months/weeks/years depending on the repeat period selected.
Top

Repeat on

7. Repeat on
If the Weekly repeat period is selected, you can choose which days the schedule item should also repeat on. For example, you may have a drive time show which repeats weekly Monday to Friday between 4pm and 7pm.
Top

Repeat at

8. Repeat at
If the Daily repeat period is selected, you can choose which hours the schedule item should also repeat on. For example, if you want to split recordings into hour long blocks, every hour, you can selected the Daily All hours option.
Top

Repeat until

9. Repeat until
Repeat the schedule until a particular date and time. The selected time is inclusive, so if a future recording schedule item starts at this time it will be included.
Top

OK button

10. OK button
Click the OK button to save changes to the schedule item.
Top

Cancel button

11. Cancel button
Click the Cancel button to discard changes to the schedule item.
Top


Select Programme Window

Select Programme Window
The Select Programme window is shown when changing the scheduled programme schedule item or when adding a new schedule item from the Schedule window.

Programme list

1. Programme list
Select the programme recording to schedule. Double-click to quickly select and close the window.
Top

Add New button

2. Add New button
Click the Add New button to add a new programme to PlayIt Recorder 'on-the-fly' for quick creating and scheduling.
Top

OK button

3. OK button
Click the OK button to use the selected programme.
Top

Cancel button

4. Cancel button
Click the Cancel button to close the window without selecting a programme.
Top


About PlayIt Recorder

About PlayIt Recorder

Current Version

1. Current Version
Top

New Version Check

2. New Version Check
When a new version is available you will be notified with a link to download the latest version.
Top

OK button

3. OK button
Click the OK button to close the window.
Top